=== modified file 'drizzled/create_field.cc'
--- drizzled/create_field.cc	2011-03-07 06:46:59 +0000
+++ drizzled/create_field.cc	2011-03-23 16:32:50 +0000
@@ -431,7 +431,7 @@
   output << "CreateField:(";
   output <<  field.field_name;
   output << ", ";
-  output << drizzled::display::type(field.type());
+  output << display::type(field.type());
   output << ", { ";
 
   if (field.flags & NOT_NULL_FLAG)

=== modified file 'drizzled/diagnostics_area.cc'
--- drizzled/diagnostics_area.cc	2011-02-17 00:14:13 +0000
+++ drizzled/diagnostics_area.cc	2011-03-23 16:32:50 +0000
@@ -52,7 +52,7 @@
 }
 
 
-drizzled::error_t Diagnostics_area::sql_errno() const
+error_t Diagnostics_area::sql_errno() const
 {
   assert(m_status == DA_ERROR);
   return m_sql_errno;
@@ -139,7 +139,7 @@
 /**
   Set ERROR status.
 */
-void Diagnostics_area::set_error_status(drizzled::error_t sql_errno_arg,
+void Diagnostics_area::set_error_status(error_t sql_errno_arg,
                                         const char *message_arg)
 {
   /*

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2011-03-23 12:07:34 +0000
+++ drizzled/drizzled.cc	2011-03-23 16:32:50 +0000
@@ -622,7 +622,7 @@
     session		 Thread handler
 */
 
-void drizzled::Session::unlink(session_id_t &session_id)
+void Session::unlink(session_id_t &session_id)
 {
   Session::shared_ptr session= session::Cache::singleton().find(session_id);
 
@@ -630,7 +630,7 @@
     unlink(session);
 }
 
-void drizzled::Session::unlink(Session::shared_ptr &session)
+void Session::unlink(Session::shared_ptr &session)
 {
   --connection_count;
 
@@ -817,7 +817,7 @@
   global_system_variables.min_examined_row_limit= in_min_examined_row_limit;
 }
 
-static void check_limits_max_join_size(drizzled::ha_rows in_max_join_size)
+static void check_limits_max_join_size(ha_rows in_max_join_size)
 {
   global_system_variables.max_join_size= INT32_MAX;
   if ((uint64_t)in_max_join_size < 1 || (uint64_t)in_max_join_size > INT32_MAX)
@@ -1216,7 +1216,7 @@
   _("Max number of errors/warnings to store for a statement."))
   ("max-heap-table-size", po::value<uint64_t>(&global_system_variables.max_heap_table_size)->default_value(16*1024*1024L)->notifier(&check_limits_mhts),
   _("Don't allow creation of heap tables bigger than this."))
-  ("max-join-size", po::value<drizzled::ha_rows>(&global_system_variables.max_join_size)->default_value(INT32_MAX)->notifier(&check_limits_max_join_size),
+  ("max-join-size", po::value<ha_rows>(&global_system_variables.max_join_size)->default_value(INT32_MAX)->notifier(&check_limits_max_join_size),
   _("Joins that are probably going to read more than max_join_size records "
      "return an error."))
   ("max-length-for-sort-data", po::value<uint64_t>(&global_system_variables.max_length_for_sort_data)->default_value(1024)->notifier(&check_limits_mlfsd),

=== modified file 'drizzled/error.cc'
--- drizzled/error.cc	2011-03-23 15:10:29 +0000
+++ drizzled/error.cc	2011-03-23 16:32:50 +0000
@@ -48,14 +48,14 @@
   return get_error_map().mapping_;
 }
 
-void add_error_message(drizzled::error_t error_code,
+void add_error_message(error_t error_code,
                        const std::string &error_name,
                        const std::string &message)
 {
   get_error_map().add(error_code, error_name, message);
 }
 
-const char* error_message(drizzled::error_t code)
+const char* error_message(error_t code)
 {
 	const std::string* ptr = get_error_map().find(code);
 	return ptr ? ptr->c_str() : get_error_map().find(ER_UNKNOWN_ERROR)->c_str();

